ResourceControllerGetStaticResource Method |
GET /Resource/StaticResource/{name}
Gets the contents of the specified static resource.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("StaticResource")]
public IActionResult GetStaticResource(
string name,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("StaticResource")>
Public Function GetStaticResource (
name As String,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"StaticResource")]
IActionResult^ GetStaticResource(
String^ name,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("StaticResource")>]
member GetStaticResource :
name : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- name
- Type: SystemString
The name of the static resource to retrieve. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
IActionResult
A
String with the contents, or a status code indicating the problem.
See Also